Subject: Re: bug#61302: 29.0.60; rust-ts-mode does not show function-invocation on field-properties

From: Randy Taylor <[email-masked]>
Date: Tue, 07 Feb 2023 14:26:54 +0000

On Sunday, February 5th, 2023 at 21:45, Dmitry Gutov <[email-masked]> wrote:
> 
> In the meantime, I've also added highlighting of variable declarations
> to go-ts-mode (to 'definition', so it's on feature level 3). This should
> finish bringing rust and go ts modes to parity with the rest.
> 
> Please take it for a spin when you have the time. I'm not too familiar
> with Go, so I could have missed some cases. But hopefully not.

Hi Dmitry,

I've given them a test spin.

c/c++-ts-modes look good to me.

go-ts-mode looks good to me.

rust-ts-mode looks good to me as well except the imports. Stuff like:
use std::fmt::{Display, Formatter};

is highlighted incorrectly. In the above example, std and fmt are highlighted as variables.

We should give them font-lock-constant-face.

I will try to propose a patch later today unless someone beats me to it.